%define prerel rc1
%define fname %name-%version%prerel
Summary:	The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name:		nasm
Version:    2.04
Release:	%mkrel 1
Epoch: 1
License:	LGPL
Group:		Development/Other

Source:		http://prdownloads.sourceforge.net/nasm/%{fname}.tar.bz2
URL:		http://nasm.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ghostscript
BuildRequires:	groff
BuildRequires:	texinfo

%package doc
Summary:	Extensive documentation for NASM
Group:		Books/Computer books
Requires(pre):		info-install
Requires(postun):		info-install

%package rdoff
Summary:	Tools for the RDOFF binary format, sometimes used with NASM
Group:		Development/Other

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%prep

%setup -q -n %fname

%build
rm -f config.cache config.status config.log
%configure2_5x
make everything

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_infodir},%{_mandir}/man1}
%makeinstall install_rdf
cd doc
install info/* $RPM_BUILD_ROOT/%{_infodir}/
bzip2 -9f nasmdoc*.txt nasmdoc*.ps||true
cd html
ln -sf nasmdoc0.html index.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info nasm.info

%preun
%_remove_install_info nasm.info

%files
%defattr(-,root,root)
%doc COPYING CHANGES TODO AUTHORS README doc/internal.doc
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%{_mandir}/man1/ldrdf.1*
%{_mandir}/man1/nasm.1*
%{_mandir}/man1/ndisasm.1*
%{_mandir}/man1/rd*.1*
%{_infodir}/nasm.info*

%files doc
%defattr(-,root,root)
%doc doc/nasmdoc.ps.bz2 doc/nasmdoc.txt.bz2  doc/html

%files rdoff
%defattr(-,root,root)
%doc rdoff/README rdoff/doc/v1-v2.txt
%{_bindir}/rdfdump
%{_bindir}/ldrdf
%{_bindir}/rdx
%{_bindir}/rdflib
%{_bindir}/rdf2bin
%{_bindir}/rdf2ihx
%{_bindir}/rdf2com




%changelog
* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 1:2.04-1mdv2009.0
+ Revision: 282918
- new version

* Tue Jun 17 2008 Götz Waschk <waschk@mandriva.org> 1:2.03.01-1mdv2009.0
+ Revision: 223370
- new version
- update file list

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 1:2.03-1mdv2009.0
+ Revision: 217382
- new version

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 1:2.02-1mdv2008.1
+ Revision: 173479
- new version

* Sun Feb 17 2008 Götz Waschk <waschk@mandriva.org> 1:2.02-0.rc2.1mdv2008.1
+ Revision: 169918
- new version

* Tue Feb 05 2008 Götz Waschk <waschk@mandriva.org> 1:2.02-0.rc1.1mdv2008.1
+ Revision: 162873
- new version

* Sun Jan 20 2008 Götz Waschk <waschk@mandriva.org> 1:2.01-1mdv2008.1
+ Revision: 155295
- new version

* Thu Jan 10 2008 Götz Waschk <waschk@mandriva.org> 1:2.01-0.rc2.1mdv2008.1
+ Revision: 147517
- new version

* Fri Dec 28 2007 Götz Waschk <waschk@mandriva.org> 1:2.01-0.rc1.1mdv2008.1
+ Revision: 138901
- new version
- update file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 29 2007 Götz Waschk <waschk@mandriva.org> 1:2.00-1mdv2008.1
+ Revision: 113852
- new version

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 1:2.00-0.rc3.1mdv2008.1
+ Revision: 113351
- new version

* Sun Nov 18 2007 Götz Waschk <waschk@mandriva.org> 1:2.00-0.rc1.1mdv2008.1
+ Revision: 109738
- new version

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 1:0.99.06-2mdv2008.1
+ Revision: 109206
- rebuild for new lzma

* Sun Nov 04 2007 Götz Waschk <waschk@mandriva.org> 1:0.99.06-1mdv2008.1
+ Revision: 105721
- new version

* Wed Oct 17 2007 Götz Waschk <waschk@mandriva.org> 1:0.99.05-3mdv2008.1
+ Revision: 99635
- disable parallel build
- release bump
- fix buildrequires
- new version
- new version
- drop patch

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill file require on info-install

* Mon Jul 02 2007 Götz Waschk <waschk@mandriva.org> 1:0.98.39-1mdv2008.0
+ Revision: 47016
- revert to stable release

* Thu May 31 2007 Götz Waschk <waschk@mandriva.org> 0.99.01-1mdv2008.0
+ Revision: 33406
- new version

* Thu May 24 2007 Götz Waschk <waschk@mandriva.org> 0.99.00-1mdv2008.0
+ Revision: 30716
- new version
- drop patch


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.98.39-4mdv2007.0
+ Revision: 114692
- Import nasm

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.98.39-4mdv2007.1
- Rebuild

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.98.39-3mdk
- Rebuild

* Fri Aug 26 2005 Olivier Thauvin <nanardon@mandriva.org> 0.98.39-2mdk
- security update into cooker

* Thu May 19 2005 Vincent Danen <vdanen@mandriva.com> 0.98.39-1.1.102mdk
- security update for CAN-2005-1194

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.98.39-1mdk
- fix configure macro
- add source URL
- New release 0.98.39

